Subject: Madison Park Sateen Cotton Comforter Set Customer support
From: Laura Anderson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 8 Apr 2025 21:07:31 -0500

I ordered a Madison Park Sateen Cotton Comforter Set, Breathable, Soft
Cover, Modern Print, All Season Down Alternative Cozy Bedding with Matching
Shams, Floral Taupe Grey/Peach, Queen 7 Piece from Amazon and it has come
damaged/defective. Amazon referred me to you for solution.

Attaching pictures of damage on comforter and pillow for reference and
Amazon order information.

Laura Anderson